LC_TUNTAP_CREATE(3)

NAME
lc_tuntap_create - create TUN/TAP devices

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/if.h>

int lc_tuntap_create(char *ifname, int flags);

Compile and link with -llibrecast.

The flags argument may contain the following flags. One of IFF_TUN or IFF_TAP is required.

IFF_TUN
    create TUN device (no Ethernet headers)

IFF_TAP
    create TAP device

IFF_NO_PI
    Do not provide packet information.

IFF_MULTI_QUEUE
    Create a queue of multiqueue device.

DESCRIPTION
lc_tuntap_create() creates a new TUN/TAP device

RETURN VALUE
lc_socket_new() On success, a file descriptor for the new socket is returned. On error, -1 is returned, and errno is set appropriately.